Bug 19019 - i'd like to encode a geographical position in the format like <span itemprop=geo itemvalue="lat;lon">HUMAN-FRIENDLY- and LOCALIZED-LAT, LON</span>, but current microdata syntax does not allow it. <meta itemprop=geo content=...> could be used, but contain
Summary: i'd like to encode a geographical position in the format like <span itemprop=...
Status: RESOLVED LATER
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML Microdata (editor: Ian Hickson) (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: This bug has no owner yet - up for the taking
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-25 21:54 UTC by contributor
Modified: 2013-02-25 22:49 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:54:10 UTC
This was was cloned from bug 9137 as part of operation LATER convergence.
Originally filed: 2010-02-24 12:36:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2010-02-24 12:36:37 +0000 
--------------------------------------------------------------------------------
Section: http://www.whatwg.org/specs/web-apps/current-work/#md-vcard-geo

Comment:
i'd like to encode a geographical position in the format like <span
itemprop=geo itemvalue="lat;lon">HUMAN-FRIENDLY- and LOCALIZED-LAT,
LON</span>, but current microdata syntax does not allow it.  <meta
itemprop=geo content=...> could be used, but container element is preferred
for the ease of scripting and styling.

Posted from: 220.210.139.122
================================================================================
 #1   Ian 'Hixie' Hickson                             2010-03-29 05:52:13 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: For now, you can use
   <meta name="geo itemvalue="lat;lon">HUMAN-FRIENDLY- and LOCALIZED-LAT,LON
...but on the long run we might add some ways to do this. (There have been other requests along similar lines for various types, e.g. ratings). I'd like to wait until we have more experience with microdata before adding this, though, so that we can do it right. Baby steps.
================================================================================